Skip to main content
GET
/
ai
/
threads
/
search
Search actor threads
curl --request GET \
  --url https://api.wacht.dev/ai/threads/search \
  --cookie __session=
{
  "status": 123,
  "message": "<string>",
  "session": {
    "id": "<string>",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z"
  },
  "errors": [
    {
      "code": "<string>",
      "message": "<string>"
    }
  ],
  "data": {
    "limit": 123,
    "has_more": true,
    "next_cursor": "<string>",
    "data": [
      {
        "id": "<string>",
        "created_at": "2023-11-07T05:31:56Z",
        "updated_at": "2023-11-07T05:31:56Z",
        "deployment_id": "<string>",
        "actor_id": "<string>",
        "project_id": "<string>",
        "project_name": "<string>",
        "agent_id": "<string>",
        "title": "<string>",
        "thread_purpose": "<string>",
        "responsibility": "<string>",
        "reusable": true,
        "accepts_assignments": true,
        "capability_tags": [
          "<string>"
        ],
        "last_activity_at": "2023-11-07T05:31:56Z",
        "completed_at": "2023-11-07T05:31:56Z",
        "status": "<string>",
        "system_instructions": "<string>",
        "execution_state": {},
        "metadata": {},
        "archived_at": "2023-11-07T05:31:56Z"
      }
    ]
  }
}

Authorizations

__session
string
cookie
required

Query Parameters

q
string
limit
integer
cursor
string

Response

200 - application/json

Thread page

status
integer
message
string
session
object
errors
object[]
data
object